Ponder.registry((event) => {
    event.create("solarcraft:rune_energy_pylon")
    .scene(
        "pylon",
        "rune energy pylon",
        "kubejs:pylon",
        (scene, util) =>{
            for (let x = 0; x < 5; x++) {
                for (let z = 0; z < 9; z++) {
                    scene.world.showSection([x, 0, z], Facing.down)
                    scene.idle(2)
                }
                if (x == 1) {
                    scene.text(10, "§9 5x9的结构")
                }
                if (x == 2) {
                    scene.text(20, "20x 光芒砖块", [0.5, 1, 0.5])
                }
               
            }
            scene.idle(10)
            scene.text(20, "錾制光芒石", [2.5, 0.5, 2.5])
            let chiseled_solar_stone = [
                { x: 2, y: 0, z: 2 },
            ]
            chiseled_solar_stone.forEach(pos => {
                scene.world.setBlock([pos.x, pos.y, pos.z], "solarcraft:chiseled_solar_stone", false)
                scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
                scene.idle(5)
            })
            scene.idle(10)
            scene.text(20, "光芒石柱", [0.5, 1.5, 2.5])
            let solar_stone_collumn = [
                { x: 2, y: 1, z: 0 },
                { x: 0, y: 1, z: 2 },
                { x: 4, y: 1, z: 2 },
                { x: 2, y: 1, z: 4 },
            ]
            solar_stone_collumn.forEach(pos => {
                scene.world.setBlock([pos.x, pos.y, pos.z], "solarcraft:solar_stone_collumn", false)
                scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
                scene.idle(5)
            })
            scene.idle(10)
            scene.text(20, "铭文石", [0.5, 2.5, 2.5])
            let inscription_stone = [
                { x: 2, y: 2, z: 0 },
                { x: 0, y: 2, z: 2 },
                { x: 4, y: 2, z: 2 },
                { x: 2, y: 2, z: 4 },
            ]
            inscription_stone.forEach(pos => {
                scene.world.setBlock([pos.x, pos.y, pos.z], "solarcraft:inscription_stone", false)
                scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
                scene.idle(5)
            })
            scene.idle(10)
            scene.text(20, "光芒石柱", [0.5, 3.5, 2.5])
            let solar_stone_collumn2 = [
                { x: 2, y: 3, z: 0 },
                { x: 0, y: 3, z: 2 },
                { x: 4, y: 3, z: 2 },
                { x: 2, y: 3, z: 4 },
            ]
            solar_stone_collumn2.forEach(pos => {
                scene.world.setBlock([pos.x, pos.y, pos.z], "solarcraft:solar_stone_collumn", false)
                scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
                scene.idle(5)
            })
            scene.idle(10)
            scene.text(20, "符文催化剂,需要和符文能量塔元素相同哦", [0.5, 4.5, 2.5])
            let zeta_rune_block = [
                { x: 2, y: 4, z: 0 },
                { x: 0, y: 4, z: 2 },
                { x: 4, y: 4, z: 2 },
                { x: 2, y: 4, z: 4 },
            ]
            zeta_rune_block.forEach(pos => {
                scene.world.setBlock([pos.x, pos.y, pos.z], "solarcraft:zeta_rune_block", false)
                scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
                scene.idle(5)
            })
            scene.idle(10)
            scene.text(20, "光芒射线砖", [2.5, 5.5, 1.5])
            let solar_stone_collumn_horizontal = [
                { x: 2, y: 5, z: 1 },
                { x: 3, y: 5, z: 2 },
                { x: 2, y: 5, z: 3 },
                { x: 1, y: 5, z: 2 },
            ]
            solar_stone_collumn_horizontal.forEach(pos => {
                scene.world.setBlock([pos.x, pos.y, pos.z], "solarcraft:solar_stone_collumn_horizontal", false)
                scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
                scene.idle(5)
            })
            scene.idle(10)
            scene.text(20, "光芒石楼梯", [0.5, 4.5, 2.5])
            let solar_stone_stairs = [
                { x: 1, y: 4, z: 0 },
                { x: 3, y: 4, z: 0 },
                { x: 4, y: 4, z: 1 },
                { x: 4, y: 4, z: 3 },
                { x: 3, y: 4, z: 4 },
                { x: 1, y: 4, z: 4 },
                { x: 0, y: 4, z: 3 },
                { x: 0, y: 4, z: 1 },
                { x: 2, y: 5, z: 0 },
                { x: 4, y: 5, z: 2 },
                { x: 2, y: 5, z: 4 },
                { x: 0, y: 5, z: 2 },
                { x: 2, y: 6, z: 1 },
                { x: 3, y: 6, z: 2 },
                { x: 2, y: 6, z: 4 },
                { x: 0, y: 6, z: 2 },
            ]
            solar_stone_stairs.forEach(pos => {
                scene.world.setBlock([pos.x, pos.y, pos.z], "solarcraft:solar_stone_stairs", false)
                scene.world.showSection([pos.x, pos.y, pos.z],Direction.down)
                scene.idle(5)
            })
            scene.idle(10)
            scene.text(20, "錾制光芒石", [2.5, 0.5, 2.5])
            let chiseled_solar_stone2 = [
                { x: 2, y: 5, z: 2 },
                { x: 2, y: 6, z: 2 },
            ]
            chiseled_solar_stone2.forEach(pos => {
                scene.world.setBlock([pos.x, pos.y, pos.z], "solarcraft:chiseled_solar_stone", false)
                scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
                scene.idle(5)
            })

            scene.idle(60)
            scene.addKeyframe()
            scene.world.setBlock([2, 8, 2], "solarcraft:rune_energy_pylon", false)
            scene.world.showSection([2, 8, 2], Facing.down)
            scene.text(60, "符文能量塔,需要和符文催化剂元素相同哦", [2.5, 7.5, 2.5]).placeNearTarget()
            scene.idle(40)
            scene.world.modifyBlock([2, 8, 2], () => Block.id("solarcraft:rune_energy_pylon"), true)
            scene.idle(10)
            scene.showControls(60, [2, 8.5, 2.5], "left")
                .rightClick()
                .withItem("solarcraft:solar_wand")
            scene.idle(30)
            scene.world.replaceBlocks([2, 8, 2], Block.id("solarcraft:rune_energy_pylon"), true);
            //
            




            




});




});  